<?php
/**
* Additional Woocommerce Settings.
*
* @package Multi Sports Club
*/

$multi_sports_club_default = multi_sports_club_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'multi_sports_club_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'multi-sports-club' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'multi_sports_club_theme_option_panel',
	)
);

	$wp_customize->add_setting('multi_sports_club_per_columns',
		array(
		'default'           => $multi_sports_club_default['multi_sports_club_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'multi_sports_club_sanitize_number_range',
		)
	);
	$wp_customize->add_control('multi_sports_club_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'multi-sports-club'),
		'section'     => 'multi_sports_club_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('multi_sports_club_product_per_page',
		array(
		'default'           => $multi_sports_club_default['multi_sports_club_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'multi_sports_club_sanitize_number_range',
		)
	);
	$wp_customize->add_control('multi_sports_club_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'multi-sports-club'),
		'section'     => 'multi_sports_club_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('multi_sports_club_show_hide_related_product',
    array(
        'default' => $multi_sports_club_default['multi_sports_club_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'multi_sports_club_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('multi_sports_club_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'multi-sports-club'),
	        'section' => 'multi_sports_club_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('multi_sports_club_custom_related_products_number',
		array(
		'default'           => $multi_sports_club_default['multi_sports_club_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'multi_sports_club_sanitize_number_range',
		)
	);
	$wp_customize->add_control('multi_sports_club_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'multi-sports-club'),
		'section'     => 'multi_sports_club_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('multi_sports_club_custom_related_products_number_per_row',
		array(
		'default'           => $multi_sports_club_default['multi_sports_club_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'multi_sports_club_sanitize_number_range',
		)
	);
	$wp_customize->add_control('multi_sports_club_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'multi-sports-club'),
		'section'     => 'multi_sports_club_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);